%define major		5
%define libname		%mklibname event %{major}
%define libcore		%mklibname event_core %{major}
%define libextra	%mklibname event_extra %{major}
%define libopenssl	%mklibname event_openssl %{major}
%define libpthreads	%mklibname event_pthreads %{major}
%define devname		%mklibname -d event

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.0.21
Release:	3
Group:		System/Libraries
License:	BSD
Url:		http://www.monkey.org/~provos/libevent/
Source0:	http://cloud.github.com/downloads/libevent/libevent/%{name}-%{version}-stable.tar.gz
Source1:	http://cloud.github.com/downloads/libevent/libevent/%{name}-%{version}-stable.tar.gz.asc
Patch0:		libevent-version-info-only.diff
Patch1:		libevent-linkage_fix.diff
Patch2:		libevent-ldflags.diff
Patch3:		libevent-2.0.21-automake-1.13.patch
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRequires:	pkgconfig(openssl)

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%files -n %{libname}
%{_libdir}/libevent.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{libcore}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries
Conflicts:	%{_lib}event5 < 2.0.21-2

%description -n	%{libcore}
This package contains a shared library for %{name}.

%files -n %{libcore}
%{_libdir}/libevent_core.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{libextra}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries
Conflicts:	%{_lib}event5 < 2.0.21-2

%description -n	%{libextra}
This package contains a shared library for %{name}.

%files -n %{libextra}
%{_libdir}/libevent_extra.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{libopenssl}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries
Conflicts:	%{_lib}event5 < 2.0.21-2

%description -n	%{libopenssl}
This package contains a shared library for %{name}.

%files -n %{libopenssl}
%{_libdir}/libevent_openssl.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{libpthreads}
Summary:	Abstract asynchronous event notification library
Group:		System/Libraries
Conflicts:	%{_lib}event5 < 2.0.21-2

%description -n	%{libpthreads}
This package contains a shared library for %{name}.

%files -n %{libpthreads}
%{_libdir}/libevent_pthreads.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development library and header files for the libevent library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libcore} = %{EVRD}
Requires:	%{libextra} = %{EVRD}
Requires:	%{libopenssl} = %{EVRD}
Requires:	%{libpthreads} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%doc README
%{_bindir}/event_rpcgen.py
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-stable
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1

# bork
sed -i -e "s|^GENERATE_MAN.*|GENERATE_MAN=YES|g" Doxyfile

mv -f configure.in configure.ac
autoreconf -fi

%build
export CFLAGS="%{optflags} -fPIC"
%configure2_5x --disable-static

%make

# provide man pages
make doxygen
rm -f doxygen/man/man3/{major,minor,error,free}.3

%install
%makeinstall_std

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/

(cd %{buildroot}/%{_mandir}/man3/; F=`ls deprecated.3*`; mv $F libevent.$F)



%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.0.21-3
+ Revision: 3f1cdcb
- MassBuild#440: Increase release tag


